/*** theme add-ons and overrides ***/

/* main container scroll shift */
html {
    margin-right: calc(100% - 100vw);
}
body {
    margin-right: calc(100vw - 100%);
		background-repeat: repeat-y;
}

table {
    table-layout: fixed
}

td {
	word-wrap: break-word !important;
}

/* align classes */
.fleft{float:left;}
.fright{float:right;}
.left {text-align:left;}
.right {text-align:right;}
.center {text-align:center;}
.fullHeight {min-height:100%;}
.fullWidth {min-width:100%;}
.middle {vertical-align:middle;}
.top {vertical-align:top;}
.bottom {vertical-align:bottom;}

/* font classes */
.bold {font-weight:bold;}


/* margin classes */
.noMargin {margin: 0px;}

.mrg_t_none {margin-top:0px;}
.mrg_t_5 {margin-top:5px;}
.mrg_t_10 {margin-top:10px;}
.mrg_t_15 {margin-top:15px;}
.mrg_t_20 {margin-top:20px;}
.mrg_t_25 {margin-top:25px;}
.mrg_t_30 {margin-top:30px;}
.mrg_t_40 {margin-top:40px;}
.mrg_t_50 {margin-top:50px;}
.mrg_t_75 {margin-top:75px;}
.mrg_t_100 {margin-top:100px;}

.mrg_b_none {margin-bottom:0px;}
.mrg_b_5 {margin-bottom:5px;}
.mrg_b_10 {margin-bottom:10px;}
.mrg_b_15 {margin-bottom:15px;}
.mrg_b_20 {margin-bottom:20px;}
.mrg_b_25 {margin-bottom:25px;}
.mrg_b_30 {margin-bottom:30px;}
.mrg_b_40 {margin-bottom:40px;}
.mrg_b_50 {margin-bottom:50px;}
.mrg_b_75 {margin-bottom:75px;}
.mrg_b_100 {margin-bottom:100px;}

.mrg_l_none {margin-left:0px;}
.mrg_l_5 {margin-left:5px;}
.mrg_l_10 {margin-left:10px;}
.mrg_l_15 {margin-left:15px;}
.mrg_l_20 {margin-left:20px;}
.mrg_l_25 {margin-left:25px;}
.mrg_l_50 {margin-left:50px;}
.mrg_l_75 {margin-left:75px;}
.mrg_l_100 {margin-left:100px;}

.mrg_r_none {margin-right:0px;}
.mrg_r_5 {margin-right:5px;}
.mrg_r_10 {margin-right:10px;}
.mrg_r_15 {margin-right:15px;}
.mrg_r_20 {margin-right:20px;}
.mrg_r_25 {margin-right:25px;}
.mrg_r_50 {margin-right:50px;}
.mrg_r_75 {margin-right:75px;}
.mrg_r_100 {margin-right:100px;}

/* padding classes */
.noPadding {padding:0px;}

.pad_t_none {padding-top:0px;}
.pad_t_5 {padding-top:5px;}
.pad_t_10 {padding-top:10px;}
.pad_t_15 {padding-top:15px;}
.pad_t_20 {padding-top:20px;}
.pad_t_25 {padding-top:25px;}
.pad_t_30 {padding-top:30px;}
.pad_t_40 {padding-top:40px;}
.pad_t_50 {padding-top:50px;}
.pad_t_75 {padding-top:75px;}
.pad_t_100 {padding-top:100px;}

.pad_b_none {padding-bottom:0px;}
.pad_b_5 {padding-bottom:5px;}
.pad_b_10 {padding-bottom:10px;}
.pad_b_15 {padding-bottom:15px;}
.pad_b_20 {padding-bottom:20px;}
.pad_b_25 {padding-bottom:25px;}
.pad_b_30 {padding-bottom:30px;}
.pad_b_40 {padding-bottom:40px;}
.pad_b_50 {padding-bottom:50px;}
.pad_b_75 {padding-bottom:75px;}
.pad_b_100 {padding-bottom:100px;}

.pad_l_none {padding-left:0px;}
.pad_l_5 {padding-left:5px;}
.pad_l_10 {padding-left:10px;}
.pad_l_15 {padding-left:15px;}
.pad_l_20 {padding-left:20px;}
.pad_l_25 {padding-left:25px;}
.pad_l_50 {padding-left:50px;}
.pad_l_75 {padding-left:75px;}
.pad_l_100 {padding-left:100px;}

.pad_r_none {padding-right:0px;}
.pad_r_5 {padding-right:5px;}
.pad_r_10 {padding-right:10px;}
.pad_r_15 {padding-right:15px;}
.pad_r_20 {padding-right:20px;}
.pad_r_25 {padding-right:25px;}
.pad_r_50 {padding-right:50px;}
.pad_r_75 {padding-right:75px;}
.pad_r_100 {padding-right:100px;}

/* horizontal split classes */

.hsplit_10 {height:10%;}
.hsplit_20 {height:20%;}
.hsplit_30 {height:30%;}
.hsplit_40 {height:40%;}
.hsplit_50 {height:50%;}
.hsplit_60 {height:60%;}
.hsplit_70 {height:70%;}
.hsplit_80 {height:80%;}
.hsplit_90 {height:90%;}

/* bootstrap modal - pre set size option(s) */
[class*=modal-body-] {margin:0; overflow-y:auto;}
.modal-body-small {width:300px;}
.modal-body-small .modal-body {max-height:200px;}
.modal-body-medium {width:620px;}
.modal-body-medium .modal-body {max-height:416px;}
.modal-body-large {width:960px;}
.modal-body-large .modal-body {max-height:800px;}
.modal-body-xlarge {width:1400px;}
.modal-body-xlarge .modal-body {max-height:800px;}

/* data tables overrides */
.table td.center {text-align:center;}
.table td.right {text-align:right;}
.table td.left {text-align:left;}
.table td.dataTables_empty {text-align:center; font-style:italic;}
.table tr {cursor:pointer;}
.table tbody tr.row_selected td {background-color:#e6e6e6 !important;}

/* jGrowl overrides */
.jGrowl-notification {width:500px !important;}


/*** vap splash header ***/
div.splashHeader {border-bottom: 3px solid #e6e6e6; margin-bottom: 20px;}
header.splashHeaderLinks {min-height:100px; padding-top:85px;}

/*** vap intro banner ***/
div.banner {min-width:100%; min-height: 450px; background-size: 100% 500px; background-repeat:no-repeat;}
div.banner div.banner-intro {background-color: rgba(0,0,0,0.75); position: relative; top: 340px; width: 85%;}
div.banner div.banner-intro h2 {font-family:'Coustard', serif; font-size: 32px; margin-left: 10px; color: white;}
div.banner div.banner-intro p {font-family:'Coustard', serif; font-size: 16px; margin-left: 10px; color: white;}


/*** vap intro sponsors ***/
a.intro-sponsor, a.intro-sponsor:hover {width:100%; height:150px; display:block;}
a.intro-sponsor#honeywell {background:url('../img/sponsors/honeywell_logo_mono.png') center bottom no-repeat;}
a.intro-sponsor#honeywell:hover {background:url('../img/sponsors/honeywell_logo_color.png') center bottom no-repeat;}
a.intro-sponsor#usfa {background:url('../img/sponsors/usfa_logo_mono.png') center bottom no-repeat;}
a.intro-sponsor#usfa:hover {background:url('../img/sponsors/usfa_logo_color.png') center bottom no-repeat;}
a.intro-sponsor#nfff {background:url('../img/sponsors/nfff_logo_mono.png') center bottom no-repeat;}
a.intro-sponsor#nfff:hover {background:url('../img/sponsors/nfff_logo_color.png') center bottom no-repeat;}

/*** vap icons ***/

/* navigation icons elements */
.main-navigation > ul > li > a [class^="vap-"], .main-navigation > ul > li > a [class*=" vap-"] {margin: 2px 10px 0 0;}

/* icons */
[class^="vap-"],
[class*=" vap-"] {display: inline-block; width: 16px; height: 16px; *margin-right: .3em; line-height: 14px; vertical-align: text-top; background: url("../img/icons/vap_icons.png") no-repeat top left;}
.vap-assessment-gear { background-position: 0 0;}
.vap-fire-house {background-position: -16px 0;}
.vap-fire-extinguisher { background-position: -32px 0;}
.vap-folders { background-position: -48px 0;}
.vap-settings { background-position: -64px 0;}
.vap-survey-gear { background-position: -80px 0;}
.vap-user-firefighter { background-position: -96px 0;}

/*** fancytree ***/

div.fancytree{cursor: pointer;}

/*** tag lib support ***/

/* checkbox grid */
.checkbox-grid li {display: block; float: left; width: 50%;}
.checkbox-grid li label{display: block; padding-left: 15px; text-indent: -15px;}
.checkbox-grid li label input[type=checkbox] {width: 13px; height: 20px; padding: 0; margin: 0; vertical-align: bottom; position: relative; top: 1px;}

/* org.nfff.vap.commonLib.result */
div.alert ul {margin-top:10px; margin-bottom:10px;}
div.alert ul li {list-style-type:disc;}
div.alert ul li h5 {margin-bottom:0px; color:#c09853;}
div.alert-danger ul li h5 {margin-bottom:0px; color:#b94a48;}
div.alert-info ul li h5 {margin-bottom:0px; color:#3a87ad;}
div.alert-success ul li h5 {margin-bottom:0px; color:#468847;}

/*** /tag lib support ***/


.user-profile figcaption {
	float: left;
	margin-left: 5px;
}


.risk-level {
	display: inline-block;
	*display: inline;
	/* IE7 inline-block hack */

	*zoom: 1;
	margin-bottom: 0;
	font-size: 13px;
	line-height: 18px;
	text-align: center;
	vertical-align: middle;
	cursor: default;
	background-repeat: repeat-x;
	filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ffffffff', endColorstr='#ffe6e6e6', GradientType=0);
	border-color: #e6e6e6 #e6e6e6 #bfbfbf;
	border-color: rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.25);
	*background-color: #e6e6e6;
	/* Darken IE7 buttons by default so they stand out more given they won't have borders */

	filter: progid:DXImageTransform.Microsoft.gradient(enabled = false);
	border: 1px solid #bbbbbb;
	*border: 0;
	border-bottom-color: #a2a2a2;
	-webkit-border-radius: 4px;
	-moz-border-radius: 4px;
	border-radius: 4px;
	*margin-left: .3em;
	padding: 3px 12px;
	-webkit-transition: all 400ms ease;
	-moz-transition: all 400ms ease;
	-o-transition: all 400ms ease;
	transition: all 400ms ease;
	filter: progid:DXImageTransform.Microsoft.gradient(enabled = false);
	border: none;
	background-image: none;
	background-color: #d9d9d9;
	color: #ffffff;
	text-shadow: none;
	-webkit-box-shadow: none;
	-moz-box-shadow: none;
	box-shadow: none;
	min-width: 100px;
	font-weight: bold;
}

.low-risk {background-color:#62c462;}
.medium-risk {background-color:#fbb450;}
.high-risk {background-color:#ee5f5b;}

ul.control-list {
	margin-top:5px;
	margin-left:0px;
	list-style:none;
}